> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve

Resolve

` GET /insights/v1/resolve/{input} `

Resolve

Resolve

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` input ` (path, required)

- ` value `: type ` unknown ` — Can be a block number, transaction or block hash, address, event signature or function selector

  - example: ` "0x1f9840a85d5aF5bf1D1762F925BDADdC4201F984" `

  - ` anyOf alternative 1 `: type ` string `

    - Title: hash

    - example: ` "0x1f9840a85d5aF5bf1D1762F925BDADdC4201F984" `

    - pattern: ` "^0x[a-fA-F0-9]{64}$" `

  - ` anyOf alternative 2 `: type ` string `

    - Title: function selector

    - example: ` "0xe8bb3b6c" `

    - pattern: ` "^0x[a-fA-F0-9]{8}$" `

  - ` anyOf alternative 3 `: type ` string `

    - Title: block number string

    - example: ` "20000000" `

    - pattern: ` "^\\d+$" `

  - ` anyOf alternative 4 `: type ` string `

    - Title: address (hex or ENS)

    - example: ` "vitalik.eth" `

Example:

```json
"0x1f9840a85d5aF5bf1D1762F925BDADdC4201F984"
```

### ` chain ` (query, optional)

Use chain_id instead

- ` value `: type ` array `

  - example: ` [20,56,1] `

  - ` array item `: type ` number `

Example:

```json
[
  20,
  56,
  1
]
```

### ` chain_id ` (query, optional)

The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain can as well be specified as a subdomain

- ` value `: type ` array `

  - example: ` [20,56,1] `

  - ` array item `: type ` number `

Example:

```json
[
  20,
  56,
  1
]
```

## Responses

### ` 200 ` — Successful response

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` meta `

  - ` data `: type ` object `

    - Required fields: ` type `

    - ` blocks `: type ` array `

      - ` array item `: type ` object `

        - Required fields: ` chain_id `, ` block_number `, ` block_hash `, ` parent_hash `, ` block_timestamp `, ` nonce `, ` sha3_uncles `, ` mix_hash `, ` miner `, ` state_root `, ` transactions_root `, ` receipts_root `, ` logs_bloom `, ` size `, ` extra_data `, ` difficulty `, ` total_difficulty `, ` transaction_count `, ` gas_limit `, ` gas_used `, ` withdrawals_root `, ` base_fee_per_gas `

        - ` chain_id `: type ` number `

        - ` block_number `: type ` number `

        - ` block_hash `: type ` string `

        - ` parent_hash `: type ` string `

        - ` block_timestamp `: type ` number `

        - ` nonce `: type ` string `

        - ` sha3_uncles `: type ` string `

        - ` mix_hash `: type ` string `

        - ` miner `: type ` string `

        - ` state_root `: type ` string `

        - ` transactions_root `: type ` string `

        - ` receipts_root `: type ` string `

        - ` logs_bloom `: type ` string `

        - ` size `: type ` number `

        - ` extra_data `: type ` string `

        - ` difficulty `: type ` string `

        - ` total_difficulty `: type ` string `

        - ` transaction_count `: type ` number `

        - ` gas_limit `: type ` number `

        - ` gas_used `: type ` number `

        - ` withdrawals_root `: type ` string `

        - ` base_fee_per_gas `: type ` number `

    - ` transactions `: type ` array `

      - ` array item `: type ` object `

        - Required fields: ` chain_id `, ` block_number `, ` block_hash `, ` block_timestamp `, ` hash `, ` nonce `, ` transaction_index `, ` from_address `, ` to_address `, ` value `, ` gas_price `, ` gas `, ` function_selector `, ` data `, ` max_fee_per_gas `, ` max_priority_fee_per_gas `, ` transaction_type `, ` r `, ` s `, ` v `

        - ` chain_id `: type ` string `

        - ` block_number `: type ` number `

        - ` block_hash `: type ` string `

        - ` block_timestamp `: type ` number `

        - ` hash `: type ` string `

        - ` nonce `: type ` number `

        - ` transaction_index `: type ` number `

        - ` from_address `: type ` string `

        - ` to_address `: type ` string `

        - ` value `: type ` string `

        - ` gas_price `: type ` string `

        - ` gas `: type ` number `

        - ` function_selector `: type ` string `

        - ` data `: type ` string `

        - ` max_fee_per_gas `: type ` string `

        - ` max_priority_fee_per_gas `: type ` string `

        - ` transaction_type `: type ` number `

        - ` r `: type ` string `

        - ` s `: type ` string `

        - ` v `: type ` string `

        - ` access_list_json `: type ` string `

        - ` authorization_list_json `: type ` string `

        - ` contract_address `: type ` string `

        - ` gas_used `: type ` number `

        - ` cumulative_gas_used `: type ` number `

        - ` effective_gas_price `: type ` string `

        - ` blob_gas_used `: type ` number `

        - ` blob_gas_price `: type ` string `

        - ` logs_bloom `: type ` string `

        - ` status `: type ` number `

    - ` events `: type ` array `

      - ` array item `: type ` object `

        - Required fields: ` chain_id `, ` block_number `, ` block_hash `, ` block_timestamp `, ` transaction_hash `, ` transaction_index `, ` log_index `, ` address `, ` data `, ` topics `

        - ` chain_id `: type ` string `

        - ` block_number `: type ` number `

        - ` block_hash `: type ` string `

        - ` block_timestamp `: type ` number `

        - ` transaction_hash `: type ` string `

        - ` transaction_index `: type ` number `

        - ` log_index `: type ` number `

        - ` address `: type ` string `

        - ` data `: type ` string `

        - ` topics `: type ` array `

          - ` array item `: type ` string `

    - ` address `: type ` string `

      - Title: address (hex or ENS)

      - example: ` "vitalik.eth" `

    - ` type `: type ` string `

      - enum: ` ["block","transaction","event_signature","function_signature","address","contract","unknown"] `

  - ` aggregations `: type ` unknown `; nullable

  - ` meta `: type ` object `

    - Required fields: ` chain_ids `, ` page `, ` limit_per_chain `, ` total_items `, ` total_pages `

    - ` chain_ids `: type ` array `

      - ` array item `: type ` number `

    - ` address `: type ` string `

    - ` signature `: type ` string `

    - ` page `: type ` number `

    - ` limit_per_chain `: type ` number `

    - ` total_items `: type ` number `

    - ` total_pages `: type ` number `

### ` 400 ` — Bad request

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string `

### ` 500 ` — Internal server error

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string `

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//insights/v1/resolve/0x1f9840a85d5aF5bf1D1762F925BDADdC4201F984'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//insights/v1/resolve/0x1f9840a85d5aF5bf1D1762F925BDADdC4201F984', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//insights/v1/resolve/0x1f9840a85d5aF5bf1D1762F925BDADdC4201F984')
print(response.json())
```